Skip to main content
`Ctrl`+`K`

# numpy.asarray_chkfinite

numpy.asarray_chkfinite(a, dtype=None, order=None)

  Convert the input to an array, checking for NaNs or Infs.

  Parameters:
    a array_like

      Input data, in any form that can be converted to an array. This includes lists, lists of tuples, tuples, tuples of tuples, tuples of lists and ndarrays. Success requires no NaNs or Infs.

    dtype data-type, optional

      By default, the data-type is inferred from the input data.

    order{‘C’, ‘F’, ‘A’, ‘K’}, optional

      Memory layout. ‘A’ and ‘K’ depend on the order of input array a. ‘C’ row-major (C-style), ‘F’ column-major (Fortran-style) memory representation. ‘A’ (any) means ‘F’ if a is Fortran contiguous, ‘C’ otherwise ‘K’ (keep) preserve input order Defaults to ‘C’.

  Returns:
    out ndarray

      Array interpretation of a. No copy is performed if the input is already an ndarray. If a is a subclass of ndarray, a base class ndarray is returned.

  Raises:
    ValueError

      Raises ValueError if a contains NaN (Not a Number) or Inf (Infinity).

  See also

  `asarray`

    Create and array.

  `asanyarray`

    Similar function which passes through subclasses.

  `ascontiguousarray`

    Convert input to a contiguous array.

  `asfortranarray`

    Convert input to an ndarray with column-major memory order.

  `fromiter`

    Create an array from an iterator.

  `fromfunction`

    Construct an array by executing a function on grid positions.

  Examples

      >>> import numpy as np

  Convert a list into an array. If all elements are finite, then `asarray_chkfinite` is identical to `asarray`.

      >>> a = [1, 2]
      >>> np.asarray_chkfinite(a, dtype=float)
      array([1., 2.])

  Raises ValueError if array_like contains Nans or Infs.

      >>> a = [1, 2, np.inf]
      >>> try:
      ...     np.asarray_chkfinite(a)
      ... except ValueError:
      ...     print('ValueError')
      ...
      ValueError